| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
optoICC.registers.icc_registers.WaveformAdaptation Class Reference
Inheritance diagram for optoICC.registers.icc_registers.WaveformAdaptation:

## Public Member Functions
| __init__ (self, board=None)
| DisableAutogenSetpoint (self)
| EnableAutogenSetpoint (self)
| SetMode (self, mode)
| GetMode (self)

## Public Attributes
| name
| sys_id
| run
| alpha
| source_address
| target_address
| window_len
| debug
| epsilon
| learning_factor
| transition_template_len
| amplitude
| angle
| config
| number_of_iterations
| rms_spec
| safety_max_out
| out_of_spec_iterations
| num_safety_triggers
| rms_error
| phase_shift
| initial_amplitude_factor
| f_cutoff
| phi_c
| dynamic_output_amplitude
| rms_error_z
| dark_time
| transition_time
| rms_error_max
| reset_statistics
| safety_trigger_error_code
| second_order_correction
| initial_second_harmonics
| reset_iteration
| allowed_movement_range
| mode

## Detailed Description

    Device Functionality - Waveform Adaptation
    System ID: 0x33

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.WaveformAdaptation.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ DisableAutogenSetpoint()

optoICC.registers.icc_registers.WaveformAdaptation.DisableAutogenSetpoint | ( |  | self | ) |

## ◆ EnableAutogenSetpoint()

optoICC.registers.icc_registers.WaveformAdaptation.EnableAutogenSetpoint | ( |  | self | ) |

## ◆ SetMode()

optoICC.registers.icc_registers.WaveformAdaptation.SetMode | ( |  | self,
|  |  | mode
| ) |  |

## ◆ GetMode()

optoICC.registers.icc_registers.WaveformAdaptation.GetMode | ( |  | self | ) |

## Member Data Documentation

## ◆ name

optoICC.registers.icc_registers.WaveformAdaptation.name

## ◆ sys_id

optoICC.registers.icc_registers.WaveformAdaptation.sys_id

## ◆ run

optoICC.registers.icc_registers.WaveformAdaptation.run

## ◆ alpha

optoICC.registers.icc_registers.WaveformAdaptation.alpha

## ◆ source_address

optoICC.registers.icc_registers.WaveformAdaptation.source_address

## ◆ target_address

optoICC.registers.icc_registers.WaveformAdaptation.target_address

## ◆ window_len

optoICC.registers.icc_registers.WaveformAdaptation.window_len

## ◆ debug

optoICC.registers.icc_registers.WaveformAdaptation.debug

## ◆ epsilon

optoICC.registers.icc_registers.WaveformAdaptation.epsilon

## ◆ learning_factor

optoICC.registers.icc_registers.WaveformAdaptation.learning_factor

## ◆ transition_template_len

optoICC.registers.icc_registers.WaveformAdaptation.transition_template_len

## ◆ amplitude

optoICC.registers.icc_registers.WaveformAdaptation.amplitude

## ◆ angle

optoICC.registers.icc_registers.WaveformAdaptation.angle

## ◆ config

optoICC.registers.icc_registers.WaveformAdaptation.config

## ◆ number_of_iterations

optoICC.registers.icc_registers.WaveformAdaptation.number_of_iterations

## ◆ rms_spec

optoICC.registers.icc_registers.WaveformAdaptation.rms_spec

## ◆ safety_max_out

optoICC.registers.icc_registers.WaveformAdaptation.safety_max_out

## ◆ out_of_spec_iterations

optoICC.registers.icc_registers.WaveformAdaptation.out_of_spec_iterations

## ◆ num_safety_triggers

optoICC.registers.icc_registers.WaveformAdaptation.num_safety_triggers

## ◆ rms_error

optoICC.registers.icc_registers.WaveformAdaptation.rms_error

## ◆ phase_shift

optoICC.registers.icc_registers.WaveformAdaptation.phase_shift

## ◆ initial_amplitude_factor

optoICC.registers.icc_registers.WaveformAdaptation.initial_amplitude_factor

## ◆ f_cutoff

optoICC.registers.icc_registers.WaveformAdaptation.f_cutoff

## ◆ phi_c

optoICC.registers.icc_registers.WaveformAdaptation.phi_c

## ◆ dynamic_output_amplitude

optoICC.registers.icc_registers.WaveformAdaptation.dynamic_output_amplitude

## ◆ rms_error_z

optoICC.registers.icc_registers.WaveformAdaptation.rms_error_z

## ◆ dark_time

optoICC.registers.icc_registers.WaveformAdaptation.dark_time

## ◆ transition_time

optoICC.registers.icc_registers.WaveformAdaptation.transition_time

## ◆ rms_error_max

optoICC.registers.icc_registers.WaveformAdaptation.rms_error_max

## ◆ reset_statistics

optoICC.registers.icc_registers.WaveformAdaptation.reset_statistics

## ◆ safety_trigger_error_code

optoICC.registers.icc_registers.WaveformAdaptation.safety_trigger_error_code

## ◆ second_order_correction

optoICC.registers.icc_registers.WaveformAdaptation.second_order_correction

## ◆ initial_second_harmonics

optoICC.registers.icc_registers.WaveformAdaptation.initial_second_harmonics

## ◆ reset_iteration

optoICC.registers.icc_registers.WaveformAdaptation.reset_iteration

## ◆ allowed_movement_range

optoICC.registers.icc_registers.WaveformAdaptation.allowed_movement_range

## ◆ mode

optoICC.registers.icc_registers.WaveformAdaptation.mode